com.amazon.redshift.core.v3.replication

## Class V3ReplicationProtocol

- java.lang.Object
- - com.amazon.redshift.core.v3.replication.V3ReplicationProtocol

All Implemented Interfaces:
  ReplicationProtocol

    public class V3ReplicationProtocol
    extends Object
    implements ReplicationProtocol

### Constructor Summary

Constructors
Constructor and Description
`V3ReplicationProtocol(QueryExecutor queryExecutor, RedshiftStream pgStream)`

### Method Summary

All Methods Instance Methods Concrete Methods
`RedshiftReplicationStream` `startLogical(LogicalReplicationOptions options, RedshiftLogger logger)`
`RedshiftReplicationStream` `startPhysical(PhysicalReplicationOptions options, RedshiftLogger logger)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### V3ReplicationProtocol

    public V3ReplicationProtocol(QueryExecutor queryExecutor,
                                 RedshiftStream pgStream)

### Method Detail

#### startLogical

    public RedshiftReplicationStream startLogical(LogicalReplicationOptions options,
                                                  RedshiftLogger logger)
                                           throws SQLException

Specified by:
  `startLogical` in interface `ReplicationProtocol`
Parameters:
  `options` - not null options for logical replication stream
  `logger` - the logger to log the entry for debugging.
Returns:
  not null stream instance from which available fetch wal logs that was decode by output plugin
Throws:
  `SQLException` - on error

#### startPhysical

    public RedshiftReplicationStream startPhysical(PhysicalReplicationOptions options,
                                                   RedshiftLogger logger)
                                            throws SQLException

Specified by:
  `startPhysical` in interface `ReplicationProtocol`
Parameters:
  `options` - not null options for physical replication stream
  `logger` - the logger to log the entry for debugging.
Returns:
  not null stream instance from which available fetch wal logs
Throws:
  `SQLException` - on error